This class manages config.cfg.

package | configuration

### Methods

## Loads preferences from config file

    __construct()

## Checks if the given password matches.

    checkPassword(String $password) : boolean

### Parameters

#### $password

`String`

password

### Returns

`boolean`true, if password matches

## Returns if the configuration file is existing.

    isConfigFileExisting() : boolean

### Returns

`boolean`exists

## Returns if the configuration file is writable.

    isWritable() : boolean

### Returns

`boolean`writable

## Saves preferences to config file config.cfg

    save()

## Sets a new config password.

    setPassword(String $password)

### Parameters

#### $password

`String`

new password

## Returns the hashed password.

    hashPassword(String $password, String $salt) : String

### Parameters

#### $password

`String`

password

#### $salt

`String`

salt

### Returns

`String`hash value

## Reloads preferences from config file config.cfg

    reload() : boolean

### Returns

`boolean`true if file was readable

### Properties

## list of hosts which may access LAM

    $allowedHosts

## Default profile

    $default

## log destination ("SYSLOG":syslog, "/.

    $logDestination

..":file, "NONE":none)

## log level

    $logLevel

## minimum character classes (upper, lower, numeric, symbols)

    $passwordMinClasses

## minimum length for passwords

    $passwordMinLength

## minimum lowercase characters

    $passwordMinLower

## minimum numeric characters

    $passwordMinNumeric

## minimum symbol characters

    $passwordMinSymbol

## minimum uppercase characters

    $passwordMinUpper

## Time of inactivity before session times out (minutes)

    $sessionTimeout

## path to config file

    $conffile

## Password to change config.cfg

    $password

## list of data fields to save in config file

    $settings